%define major 6

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libname_primesievexx %mklibname %{name}xx %{major_xx}
%define develname_primesievexx %mklibname %{name}xx -d
%define	develname_mp %mklibname %{name}mp -d

Summary:	A fast C/C++ prime number generator
Name:		primesieve
Version:	5.6.0
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://primesieve.org/
Source0:	http://dl.bintray.com/kimwalisch/primesieve/%{name}-%{version}.tar.gz

%description
primesieve is a free software program and C/C++ library that generates primes
using a highly optimized sieve of Eratosthenes implementation. It counts the
primes below 10^10 in just 0.45 seconds on an Intel Core i7-6700 CPU (4 x
3.4GHz). primesieve can generate primes and prime k-tuplets up to 2^64.

%package -n	%{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
primesieve is a free software program and C/C++ library that generates primes
using a highly optimized sieve of Eratosthenes implementation. It counts the
primes below 10^10 in just 0.45 seconds on an Intel Core i7-6700 CPU (4 x
3.4GHz). primesieve can generate primes and prime k-tuplets up to 2^64.

%package -n	%{develname}
Summary:	Development tools for primesieve
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
The static libraries, header files and documentation for using primesieve.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%check
# All tests must pass
make check

%install
%makeinstall_std

#multiarch
%multiarch_includes %{buildroot}%{_includedir}/primesieve.h

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{name}
%doc ChangeLog COPYING README.md
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libprimesieve.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libprimesieve.so
%{_includedir}/primesieve.h
%{_includedir}/primesieve.hpp
%{_includedir}/primesieve/*.h
%{_includedir}/primesieve/*.hpp
%{_libdir}/pkgconfig/%{name}.pc
%multiarch %{multiarch_includedir}/primesieve.h


%changelog
* Wed Feb 10 2016 shlomif <shlomif> 5.6.0-1.mga6
+ Revision: 953023
- Importing primesive based on the gmp src.rpm

